<?xml version="1.0" encoding="utf-8"?>
<CaR>
<Macro Name="@builtin@/symc" showduplicates="true">
<Parameter name="O">O</Parameter>
<Parameter name="M">M</Parameter>
<Objects>
<Point name="M" n="0" parameter="true" mainparameter="true" x="-2.569343065693431" y="4.131386861313868">Point à -2.57, 4.13</Point>
<Point name="O" n="1" parameter="true" mainparameter="true" x="-0.6715328467153284" y="2.700729927007301">Point à -0.67, 2.7</Point>
<Point name="P3" n="2" showname="true" target="true" x="2*x(O)-x(M)" actx="1.2262773722627742" y="2*y(O)-y(M)" acty="1.270072992700734" shape="circle" fixed="true">Point à &quot;2*x(O)-x(M)&quot;, &quot;2*y(O)-y(M)&quot;</Point>
</Objects>
</Macro>
<Macro Name="@builtin@/syma" showduplicates="true">
<Parameter name="l1">l1</Parameter>
<Parameter name="P3">P3</Parameter>
<Objects>
<Line name="l1" n="0" parameter="true" mainparameter="true">???</Line>
<Point name="P3" n="1" parameter="true" mainparameter="true" x="1.8102189781021922" y="3.7226277372262824">Point à 1.81, 3.72</Point>
<Plumb name="perp1" n="2" hidden="super" point="P3" line="l1" valid="true">Perpendiculaire passant par P3 à l1</Plumb>
<Intersection name="I1" n="3" hidden="super" first="perp1" second="l1" shape="circle">Intersection entre perp1 et l1</Intersection>
<Point name="P2" n="4" target="true" x="2*x(I1)-x(P3)" actx="0.08170014856921393" y="2*y(I1)-y(P3)" acty="-0.3992248562754339" shape="circle" fixed="true">Point à &quot;2*x(I1)-x(P3)&quot;, &quot;2*y(I1)-y(P3)&quot;</Point>
</Objects>
</Macro>
<Macro Name="@builtin@/trans" showduplicates="true">
<Parameter name="A">A</Parameter>
<Parameter name="B">B</Parameter>
<Parameter name="M">M</Parameter>
<Objects>
<Point name="A" n="0" parameter="true" mainparameter="true" x="-3.9850187265917603" y="1.730337078651686">Point à -3.98502, 1.73034 </Point>
<Point name="B" n="1" parameter="true" mainparameter="true" x="-2.411985018726593" y="2.269662921348316">Point à -2.41199, 2.26966 </Point>
<Point name="M" n="2" parameter="true" mainparameter="true" x="-1.8726591760299642" y="1.1610486891385765">Point à -1.87266, 1.16105 </Point>
<Point name="P4" n="3" target="true" bold="true" x="x(M)+x(B)-x(A)" actx="-0.2996254681647974" y="y(M)+y(B)-y(A)" acty="1.7003745318352066" fixed="true">Point à &quot;x(C)+x(B)-x(A)&quot;, &quot;y(C)+y(B)-y(A)&quot; </Point>
</Objects>
</Macro>
<Macro Name="@builtin@/med" showduplicates="true">
<Parameter name="A">A</Parameter>
<Parameter name="B">B</Parameter>
<Objects>
<Point name="B" n="0" parameter="true" mainparameter="true" x="3.9216109938781707" y="-13.620312471643809">Point à 3.92161, -13.62031 </Point>
<Point name="A" n="1" parameter="true" mainparameter="true" x="-4.980460890948463" y="17.297848688565512">Point à -4.98046, 17.29785 </Point>
<Circle name="c1" n="2" color="2" hidden="super" bold="true" through="B" midpoint="A" acute="true">Cercle de centre P81 passant par I64</Circle>
<Circle name="c2" n="3" color="2" hidden="super" bold="true" through="A" midpoint="B" acute="true">Cercle de centre I64 passant par P81</Circle>
<Intersection name="I1" n="4" color="2" hidden="super" bold="true" first="c2" second="c1" shape="circle" which="second">Intersection entre c2 et c1</Intersection>
<Intersection name="I2" n="5" color="2" hidden="super" bold="true" first="c1" second="c2" shape="circle" which="second">Intersection entre c1 et c2</Intersection>
<Line name="l1" n="6" color="2" target="true" bold="true" from="I1" to="I2">Droite passant par I1 et I2</Line>
</Objects>
</Macro>
<Macro Name="@builtin@/biss" showduplicates="true">
<Parameter name="A">A</Parameter>
<Parameter name="O">O</Parameter>
<Parameter name="B">B</Parameter>
<Objects>
<Point name="A" n="0" parameter="true" mainparameter="true" x="-5.25" y="4.59">Point à -5.25, 4.59 </Point>
<Point name="O" n="1" parameter="true" mainparameter="true" x="-0.875" y="-3.237500000000001">Point à -0.875, -3.2375 </Point>
<Point name="B" n="2" parameter="true" mainparameter="true" x="3.5250000000000012" y="2.6875">Point à 3.525, 2.6875 </Point>
<Ray name="r1" n="3" hidden="true" from="O" to="A">Strahl von P2 in Richtung P1</Ray>
<Circle name="k1" n="4" hidden="true" through="B" midpoint="O" acute="true">Kreis um P2 durch P3</Circle>
<Intersection name="S1" n="5" hidden="true" first="r1" second="k1" which="first">Schnitt zwischen r1 und k1</Intersection>
<Circle name="k2" n="6" hidden="super" through="B" midpoint="S1" acute="true">Kreis um S1 durch P3</Circle>
<Circle name="k3" n="7" hidden="super" through="S1" midpoint="B" acute="true">Kreis um P3 durch S1</Circle>
<Intersection name="S2" n="8" hidden="super" first="k2" second="k3" which="second">Schnitt zwischen k2 und k3</Intersection>
<Intersection name="S3" n="9" hidden="super" first="k3" second="k2" which="second">Schnitt zwischen k3 und k2</Intersection>
<Line name="g1" n="10" target="true" from="S2" to="S3">Gerade durch S2 und S3</Line>
</Objects>
</Macro>
<Macro Name="@builtin@/circ" showduplicates="true">
<Parameter name="A">A</Parameter>
<Parameter name="B">B</Parameter>
<Parameter name="C">C</Parameter>
<Objects>
<Point name="A" n="0" parameter="true" mainparameter="true" x="-5.896980461811722" y="0.7246891651865007">Point à -5.89698, 0.72469 </Point>
<Point name="B" n="1" parameter="true" mainparameter="true" x="-3.7087033747779783" y="2.5435168738898746">Point à -3.7087, 2.54352 </Point>
<Point name="C" n="2" parameter="true" mainparameter="true" x="-0.12788632326820618" y="-0.4973357015985789">Point à -0.12789, -0.49734 </Point>
<Point name="P4" n="3" color="3" target="true" bold="true" x="(x(A)^2*y(C)-x(A)^2*y(B)+y(C)^2*y(B)-y(C)^2*y(A)-y(C)*y(B)^2+y(C)*y(A)^2-y(C)*x(B)^2+y(B)^2*y(A)-y(B)*y(A)^2+y(B)*x(C)^2+y(A)*x(B)^2-y(A)*x(C)^2)/(2*x(A)*y(C)+(-(2*x(A)))*y(B)+(-(2*y(C)))*x(B)+2*y(B)*x(C)+2*y(A)*x(B)+(-(2*y(A)))*x(C))" actx="-3.1193971099479443" y="(-x(A)^2*x(C)+x(A)^2*x(B)+x(A)*x(C)^2-x(A)*x(B)^2+x(A)*y(C)^2-x(A)*y(B)^2-x(C)^2*x(B)+x(C)*x(B)^2+x(C)*y(B)^2-x(C)*y(A)^2-x(B)*y(C)^2+x(B)*y(A)^2)/(2*x(A)*y(C)+(-(2*x(A)))*y(B)+2*x(C)*y(B)+(-(2*x(C)))*y(A)+(-(2*x(B)))*y(C)+2*x(B)*y(A))" acty="-0.3912915155041797" shape="circle" fixed="true">Point à &quot;(x(A)^2*y(P4)-x(A)^2*y(P5)+y(P4)^2*y(P5)-y(P4)^2*y(A)-y(P4)*y(P5)^2+y(P4)*y(A)^2-y(P4)*x(P5)^2+y(P5)^2*y(A)-y(P5)*y(A)^2+y(P5)*x(P4)^2+y(A)*x(P5)^2-y(A)*x(P4)^2)/(2*x(A)*y(P4)+(-(2*x(A)))*y(P5)+(-(2*y(P4)))*x(P5)+2*y(P5)*x(P4)+2*y(A)*x(P5)+(-(2*y(A)))*x(P4))&quot;, &quot;(-x(A)^2*x(P4)+x(A)^2*x(P5)+x(A)*x(P4)^2-x(A)*x(P5)^2+x(A)*y(P4)^2-x(A)*y(P5)^2-x(P4)^2*x(P5)+x(P4)*x(P5)^2+x(P4)*y(P5)^2-x(P4)*y(A)^2-x(P5)*y(P4)^2+x(P5)*y(A)^2)/(2*x(A)*y(P4)+(-(2*x(A)))*y(P5)+2*x(P4)*y(P5)+(-(2*x(P4)))*y(A)+(-(2*x(P5)))*y(P4)+2*x(P5)*y(A))&quot; </Point>
<Circle name="c1" n="4" color="3" target="true" large="true" through="A" midpoint="P4">Cercle de centre P10 passant par P7 </Circle>
</Objects>
</Macro>
<Macro Name="@builtin@/arc" showduplicates="true">
<Parameter name="M">M</Parameter>
<Parameter name="N">N</Parameter>
<Parameter name="P">P</Parameter>
<Objects>
<Point name="M" n="0" parameter="true" mainparameter="true" x="-6.74" y="2.9000000000000012">Point à -6.74, 2.9 </Point>
<Point name="N" n="1" parameter="true" mainparameter="true" x="-5.507754235296662" y="4.133357046501844">Point à -5.50775, 4.13336 </Point>
<Point name="P" n="2" parameter="true" mainparameter="true" x="-4.560000000000001" y="3.86">Point à -4.56, 3.86 </Point>
<Point name="P4" n="3" type="thick" hidden="super" showname="true" bold="true" large="true" x="if(a(P,M,N)&lt;180,x(M),x(P))" actx="-6.74" y="if(a(P,M,N)&lt;180,y(M),y(P))" acty="2.9000000000000012" shape="circle" fixed="true">Point à &quot;if(a(C,A,B)&lt;180,x(A),x(C))&quot;, &quot;if(a(C,A,B)&lt;180,y(A),y(C))&quot; </Point>
<Point name="P5" n="4" type="thick" hidden="super" showname="true" bold="true" large="true" x="if(a(P,M,N)&lt;180,x(P),x(M))" actx="-4.560000000000001" y="if(a(P,M,N)&lt;180,y(P),y(M))" acty="3.86" shape="diamond" fixed="true">Point à &quot;if(a(C,A,B)&lt;180,x(C),x(A))&quot;, &quot;if(a(C,A,B)&lt;180,y(C),y(A))&quot; </Point>
<Point name="P6" n="5" hidden="super" x="(x(N)^2*y(P4)-x(N)^2*y(P5)+y(P4)^2*y(P5)-y(P4)^2*y(N)-y(P4)*y(P5)^2+y(P4)*y(N)^2-y(P4)*x(P5)^2+y(P5)^2*y(N)-y(P5)*y(N)^2+y(P5)*x(P4)^2+y(N)*x(P5)^2-y(N)*x(P4)^2)/(2*x(N)*y(P4)+(-(2*x(N)))*y(P5)+(-(2*y(P4)))*x(P5)+2*y(P5)*x(P4)+2*y(N)*x(P5)+(-(2*y(N)))*x(P4))" actx="-5.385187132991038" y="(-x(N)^2*x(P4)+x(N)^2*x(P5)+x(N)*x(P4)^2-x(N)*x(P5)^2+x(N)*y(P4)^2-x(N)*y(P5)^2-x(P4)^2*x(P5)+x(P4)*x(P5)^2+x(P4)*y(P5)^2-x(P4)*y(N)^2-x(P5)*y(P4)^2+x(P5)*y(N)^2)/(2*x(N)*y(P4)+(-(2*x(N)))*y(P5)+2*x(P4)*y(P5)+(-(2*x(P4)))*y(N)+(-(2*x(P5)))*y(P4)+2*x(P5)*y(N))" acty="2.778654114500473" fixed="true">Point à &quot;(x(B)^2*y(P4)-x(B)^2*y(P5)+y(P4)^2*y(P5)-y(P4)^2*y(B)-y(P4)*y(P5)^2+y(P4)*y(B)^2-y(P4)*x(P5)^2+y(P5)^2*y(B)-y(P5)*y(B)^2+y(P5)*x(P4)^2+y(B)*x(P5)^2-y(B)*x(P4)^2)/(2*x(B)*y(P4)+(-(2*x(B)))*y(P5)+(-(2*y(P4)))*x(P5)+2*y(P5)*x(P4)+2*y(B)*x(P5)+(-(2*y(B)))*x(P4))&quot;, &quot;(-x(B)^2*x(P4)+x(B)^2*x(P5)+x(B)*x(P4)^2-x(B)*x(P5)^2+x(B)*y(P4)^2-x(B)*y(P5)^2-x(P4)^2*x(P5)+x(P4)*x(P5)^2+x(P4)*y(P5)^2-x(P4)*y(B)^2-x(P5)*y(P4)^2+x(P5)*y(B)^2)/(2*x(B)*y(P4)+(-(2*x(B)))*y(P5)+2*x(P4)*y(P5)+(-(2*x(P4)))*y(B)+(-(2*x(P5)))*y(P4)+2*x(P5)*y(B))&quot; </Point>
<Circle name="c1" n="6" target="true" through="P4" midpoint="P6" start="P5" end="P4">Cercle de centre P6 passant par P4</Circle>
</Objects>
</Macro>
<Macro Name="@builtin@/t_align" showduplicates="true">
<Parameter name="M">M</Parameter>
<Parameter name="a">a</Parameter>
<Parameter name="b">b</Parameter>
<Parameter name="P4">P4</Parameter>
<Objects>
<Point name="a" n="0" mainparameter="true" x="-1.0" y="2.0">Point à -1.0, 2.0</Point>
<Point name="b" n="1" mainparameter="true" x="2.0" y="2.0">Point à 2.0, 2.0</Point>
<Line name="l1" n="2" color="2" hidden="super" from="a" to="b">Droite passant par a et b</Line>
<Point name="M" n="3" mainparameter="true" x="4.0" y="2.0">Point à 4.0, 2.0</Point>
<Plumb name="perp1" n="4" color="2" hidden="super" point="M" line="l1" valid="true">Perpendiculaire passant par M à l1</Plumb>
<Intersection name="I1" n="5" color="2" hidden="super" showname="true" first="perp1" second="l1" shape="circle">Intersection entre perp1 et l1</Intersection>
<Point name="P4" n="6" color="2" mainparameter="true" target="true" x="(windoww/(windoww-d(windoww)))*(x(P4)-windowcx)+windowcx+d(windowcx)" actx="-3.9869281045751634" y="(windoww/(windoww-d(windoww)))*(y(P4)-windowcy)+windowcy+d(windowcy)" acty="-2.0784313725490193" shape="circle" fixed="true">Point à &quot;(windoww/(windoww-d(windoww)))*(x(P4)-windowcx)+windowcx+d(windowcx)&quot;, &quot;(windoww/(windoww-d(windoww)))*(y(P4)-windowcy)+windowcy+d(windowcy)&quot;</Point>
<Text name="Text1" n="7" color="2" target="true" ctag0="green" cexpr0="1" x="if(d(M,I1)~=0,x(P4)+15/pixel,invalid)" y="y(P4)+13/pixel" fixed="true">Les points sont alignés</Text>
<Text name="Text2" n="8" color="2" target="true" ctag0="red" cexpr0="1" x="if(!(d(M,I1)~=0),x(P4)+15/pixel,invalid)" y="y(P4)+13/pixel" fixed="true">Les points ne sont pas alignés</Text>
</Objects>
</Macro>
<Macro Name="@builtin@/t_para" showduplicates="true">
<Parameter name="l1">l1</Parameter>
<Parameter name="l2">l2</Parameter>
<Parameter name="P12">P12</Parameter>
<Objects>
<Point name="P1" n="0" parameter="true" x="-3.0" y="3.0">Point à -3.0, 3.0</Point>
<Point name="P2" n="1" parameter="true" x="1.0" y="3.0">Point à 1.0, 3.0</Point>
<Line name="l1" n="2" color="2" mainparameter="true" from="P1" to="P2">Droite passant par P1 et P2</Line>
<Point name="P3" n="3" parameter="true" x="-6.0" y="1.0">Point à -6.0, 1.0</Point>
<Point name="P4" n="4" parameter="true" x="1.0" y="2.0">Point à 1.0, 2.0</Point>
<Line name="l2" n="5" color="2" mainparameter="true" from="P3" to="P4">Droite passant par P3 et P4</Line>
<Line name="l3" n="6" color="3" type="thin" hidden="super" from="P3" to="P4">Droite passant par P3 et P4</Line>
<Line name="l4" n="7" color="3" type="thin" hidden="super" from="P1" to="P2">Droite passant par P1 et P2</Line>
<Intersection name="I1" n="8" color="3" type="thin" hidden="super" showname="true" first="l4" second="l3" shape="circle">Intersection entre l4 et l3</Intersection>
<Point name="P12" n="9" color="3" type="thin" mainparameter="true" target="true" x="(windoww/(windoww-d(windoww)))*(x(P12)-windowcx)+windowcx+d(windowcx)" actx="-0.666666666666667" y="(windoww/(windoww-d(windoww)))*(y(P12)-windowcy)+windowcy+d(windowcy)" acty="-0.7581699346405228" shape="circle" fixed="true">Point à &quot;(windoww/(windoww-d(windoww)))*(x(P12)-windowcx)+windowcx+d(windowcx)&quot;, &quot;(windoww/(windoww-d(windoww)))*(y(P12)-windowcy)+windowcy+d(windowcy)&quot;</Point>
<Text name="Text1" n="10" target="true" ctag0="red" cexpr0="1" x="if(I1,x(P12)+15/pixel,invalid)" y="y(P12)+13/pixel" fixed="true">Les droites ne sont pas parallèles</Text>
<Text name="Text2" n="11" target="true" ctag0="green" cexpr0="1" x="if(I1,invalid,x(P12)+15/pixel)" y="y(P12)+13/pixel" fixed="true">Les droites sont parallèles</Text>
</Objects>
</Macro>
<Macro Name="@builtin@/t_perp" showduplicates="true">
<Parameter name="l2">l2</Parameter>
<Parameter name="l1">l1</Parameter>
<Parameter name="P8">P8</Parameter>
<Objects>
<Point name="P1" n="0" parameter="true" x="-1.0" y="4.0">Point à -1.0, 4.0</Point>
<Point name="P2" n="1" parameter="true" x="-1.0" y="2.0">Point à -1.0, 2.0</Point>
<Line name="l1" n="2" color="3" mainparameter="true" from="P1" to="P2">Droite passant par P1 et P2</Line>
<Point name="P3" n="3" parameter="true" x="-4.0" y="2.0">Point à -4.0, 2.0</Point>
<Point name="P4" n="4" parameter="true" x="-3.0" y="2.0">Point à -3.0, 2.0</Point>
<Line name="l2" n="5" color="3" mainparameter="true" from="P3" to="P4">Droite passant par P3 et P4</Line>
<Line name="l3" n="6" color="1" type="thin" hidden="super" from="P4" to="P3">Droite passant par P4 et P3</Line>
<Line name="l4" n="7" color="1" type="thin" hidden="super" from="P1" to="P2">Droite passant par P1 et P2</Line>
<Intersection name="I1" n="8" color="1" hidden="super" showname="true" xcoffset="-0.2026143790849675" ycoffset="0.2875816993464051" keepclose="true" first="l4" second="l3" shape="circle">Intersection entre l4 et l3</Intersection>
<Point name="P5" n="9" color="2" type="thick" hidden="super" showname="true" x="if(I1,x(I1),x(P1))" actx="-1.0" y="if(I1,y(I1),y(P1))" acty="2.0" shape="circle" fixed="true">Point à &quot;if(I1,x(I1),x(P1))&quot;, &quot;if(I1,y(I1),y(P1))&quot;</Point>
<Circle name="c1" n="10" color="1" hidden="super" fixed="1" midpoint="P5">Cercle de centre P5 de rayon 1</Circle>
<Intersection name="I2" n="11" color="1" hidden="super" showname="true" first="l4" second="c1" shape="circle" which="second">Intersection entre l4 et c1</Intersection>
<Intersection name="I3" n="12" color="1" hidden="super" showname="true" first="l3" second="c1" shape="circle" which="second">Intersection entre l3 et c1</Intersection>
<Point name="P6" n="13" color="1" hidden="super" showname="true" x="if(I3,x(I3),x(I2))" actx="0.0" y="if(I3,y(I3),y(I2))" acty="2.0" shape="circle" fixed="true">Point à &quot;if(I3,x(I3),x(I2))&quot;, &quot;if(I3,y(I3),y(I2))&quot;</Point>
<Point name="P8" n="14" color="1" mainparameter="true" target="true" x="(windoww/(windoww-d(windoww)))*(x(P8)-windowcx)+windowcx+d(windowcx)" actx="2.0653594771241828" y="(windoww/(windoww-d(windoww)))*(y(P8)-windowcy)+windowcy+d(windowcy)" acty="4.287581699346405" shape="circle" fixed="true">Point à &quot;(windoww/(windoww-d(windoww)))*(x(P8)-windowcx)+windowcx+d(windowcx)&quot;, &quot;(windoww/(windoww-d(windoww)))*(y(P8)-windowcy)+windowcy+d(windowcy)&quot;</Point>
<Text name="Text1" n="15" target="true" ctag0="green" cexpr0="1" x="if(abs(angle180(a(I2,P5,P6)))~=90,x(P8)+15/pixel,invalid)" y="y(P8)+13/pixel" fixed="true">Les deux objets sont perpendiculaires</Text>
<Text name="Text2" n="16" target="true" ctag0="red" cexpr0="1" x="if(!(abs(angle180(a(I2,P5,P6)))~=90),x(P8)+15/pixel,invalid)" y="y(P8)+13/pixel" fixed="true">Les deux objets ne sont pas perpendiculaires</Text>
</Objects>
</Macro>
<Macro Name="@builtin@/t_equi" showduplicates="true">
<Parameter name="o">o</Parameter>
<Parameter name="a">a</Parameter>
<Parameter name="b">b</Parameter>
<Parameter name="P5">P5</Parameter>
<Objects>
<Point name="o" n="0" mainparameter="true" x="1.0" y="-1.0">Point à 1.0, -1.0</Point>
<Point name="a" n="1" mainparameter="true" x="1.0" y="3.0">Point à 1.0, 3.0</Point>
<Point name="b" n="2" mainparameter="true" x="5.0" y="0.0">Point à 5.0, 0.0</Point>
<Point name="P5" n="3" color="1" mainparameter="true" target="true" x="(windoww/(windoww-d(windoww)))*(x(P5)-windowcx)+windowcx+d(windowcx)" actx="-4.321167883211679" y="(windoww/(windoww-d(windoww)))*(y(P5)-windowcy)+windowcy+d(windowcy)" acty="-3.635036496350365" shape="circle" fixed="true">Point à &quot;(windoww/(windoww-d(windoww)))*(x(P5)-windowcx)+windowcx+d(windowcx)&quot;, &quot;(windoww/(windoww-d(windoww)))*(y(P5)-windowcy)+windowcy+d(windowcy)&quot;</Point>
<Text name="Text1" n="4" target="true" ctag0="red" cexpr0="1" x="if(d(a,o)~=d(b,o),invalid,x(P5)+15/pixel)" y="y(P5)+13/pixel" fixed="true">Les points ne sont pas équidistants</Text>
<Text name="Text2" n="5" target="true" ctag0="green" cexpr0="1" x="if(d(a,o)~=d(b,o),x(P5)+15/pixel,invalid)" y="y(P5)+13/pixel" fixed="true">Les points sont équidistants</Text>
</Objects>
</Macro>
<Macro Name="@builtin@/t_app" showduplicates="true">
<Parameter name="P13">P13</Parameter>
<Parameter name="l4">l4</Parameter>
<Parameter name="P14">P14</Parameter>
<Objects>
<Line name="l4" n="0" mainparameter="true">???</Line>
<Point name="P13" n="1" mainparameter="true" x="5.0" y="0.0">Point à 5.0, 0.0</Point>
<Point name="P14" n="2" color="2" mainparameter="true" target="true" x="(windoww/(windoww-d(windoww)))*(x(P14)-windowcx)+windowcx+d(windowcx)" actx="3.0065359477124183" y="(windoww/(windoww-d(windoww)))*(y(P14)-windowcy)+windowcy+d(windowcy)" acty="-4.1568627450980395" shape="circle" fixed="true">Point à &quot;(windoww/(windoww-d(windoww)))*(x(P14)-windowcx)+windowcx+d(windowcx)&quot;, &quot;(windoww/(windoww-d(windoww)))*(y(P14)-windowcy)+windowcy+d(windowcy)&quot;</Point>
<Plumb name="perp1" n="3" color="2" hidden="super" point="P13" line="l4" valid="true">Perpendiculaire passant par P13 à l4</Plumb>
<Intersection name="I1" n="4" color="2" hidden="super" showname="true" first="l4" second="perp1" shape="circle">Intersection entre l4 et perp1</Intersection>
<Point name="P3" n="5" color="5" hidden="super" showname="true" x="if(I1,x(I1),x(P13)+1)" actx="6.0" y="if(I1,y(I1),y(P13))" acty="0.0" shape="circle" fixed="true">Point à &quot;if(I1,x(I1),x(P13)+1)&quot;, &quot;if(I1,y(I1),y(P13))&quot;</Point>
<Text name="Text1" n="6" color="2" target="true" ctag0="green" cexpr0="1" x="if(d(P13,P3)~=0,x(P14)+15/pixel,invalid)" y="y(P14)+13/pixel" fixed="true">Le point est sur l&apos;objet</Text>
<Text name="Text2" n="7" color="2" target="true" ctag0="red" cexpr0="1" x="if(!(d(P13,P3)~=0),x(P14)+15/pixel,invalid)" y="y(P14)+13/pixel" fixed="true">Le point n&apos;est pas sur l&apos;objet</Text>
</Objects>
</Macro>
<Macro Name="@builtin@/t_conf" showduplicates="true">
<Parameter name="M">M</Parameter>
<Parameter name="A">A</Parameter>
<Parameter name="P3">P3</Parameter>
<Objects>
<Point name="A" n="0" mainparameter="true" x="3.0" y="2.0">Point à 3.0, 2.0</Point>
<Point name="M" n="1" mainparameter="true" x="3.0" y="2.0">Point à 3.0, 2.0</Point>
<Point name="P3" n="2" color="2" mainparameter="true" target="true" x="(windoww/(windoww-d(windoww)))*(x(P3)-windowcx)+windowcx+d(windowcx)" actx="-4.052287581699346" y="(windoww/(windoww-d(windoww)))*(y(P3)-windowcy)+windowcy+d(windowcy)" acty="-1.7908496732026142" shape="circle" fixed="true">Point à &quot;(windoww/(windoww-d(windoww)))*(x(P3)-windowcx)+windowcx+d(windowcx)&quot;, &quot;(windoww/(windoww-d(windoww)))*(y(P3)-windowcy)+windowcy+d(windowcy)&quot;</Point>
<Text name="Text1" n="3" target="true" ctag0="green" cexpr0="1" x="if(d(M,A)==0,x(P3)+15/pixel,invalid)" y="y(P3)+13/pixel" fixed="true">Les points sont confondus</Text>
<Text name="Text2" n="4" target="true" ctag0="red" cexpr0="1" x="if(!(d(M,A)==0),x(P3)+15/pixel,invalid)" y="y(P3)+13/pixel" fixed="true">Les points ne sont pas confondus</Text>
</Objects>
</Macro>
</CaR>
